Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# zlib.h File Reference

`#include "zconf.h"`

Include dependency graph for zlib.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
struct | internal_state
struct | z_stream_s
## Defines
#define | ZLIB_VERSION "1.1.3"
#define | Z_NO_FLUSH 0
#define | Z_PARTIAL_FLUSH 1
#define | Z_SYNC_FLUSH 2
#define | Z_FULL_FLUSH 3
#define | Z_FINISH 4
#define | Z_OK 0
#define | Z_STREAM_END 1
#define | Z_NEED_DICT 2
#define | Z_ERRNO (-1)
#define | Z_STREAM_ERROR (-2)
#define | Z_DATA_ERROR (-3)
#define | Z_MEM_ERROR (-4)
#define | Z_BUF_ERROR (-5)
#define | Z_VERSION_ERROR (-6)
#define | Z_NO_COMPRESSION 0
#define | Z_BEST_SPEED 1
#define | Z_BEST_COMPRESSION 9
#define | Z_DEFAULT_COMPRESSION (-1)
#define | Z_FILTERED 1
#define | Z_HUFFMAN_ONLY 2
#define | Z_DEFAULT_STRATEGY 0
#define | Z_BINARY 0
#define | Z_ASCII 1
#define | Z_UNKNOWN 2
#define | Z_DEFLATED 8
#define | Z_NULL 0
#define | zlib_version zlibVersion()
#define | deflateInit(strm, level) deflateInit_((strm), (level), ZLIB_VERSION, sizeof(z_stream))
#define | inflateInit(strm) inflateInit_((strm), ZLIB_VERSION, sizeof(z_stream))
#define | deflateInit2(strm, level, method, windowBits, memLevel, strategy)
#define | inflateInit2(strm, windowBits) inflateInit2_((strm), (windowBits), ZLIB_VERSION, sizeof(z_stream))
## Typedefs
typedef voidpf(* | alloc_func )()
typedef void(* | free_func )()
typedef z_stream_s | z_stream
typedef z_stream * | z_streamp
typedef voidp | gzFile
## Functions
char * | zlibVersion ()
int | deflate ()
int | deflateEnd ()
int | inflate ()
int | inflateEnd ()
int | deflateSetDictionary ()
int | deflateCopy ()
int | deflateReset ()
int | deflateParams ()
int | inflateSetDictionary ()
int | inflateSync ()
int | inflateReset ()
int | compress ()
int | compress2 ()
int | uncompress ()
gzFile | gzopen ()
gzFile | gzdopen ()
int | gzsetparams ()
int | gzread ()
int | gzwrite ()
int | gzprintf ()
int | gzputs ()
char * | gzgets ()
int | gzputc ()
int | gzgetc ()
int | gzflush ()
long | gzseek ()
int | gzrewind ()
long | gztell ()
int | gzeof ()
int | gzclose ()
char * | gzerror ()
uLong | adler32 ()
uLong | crc32 ()
int | deflateInit_ ()
int | inflateInit_ ()
int | deflateInit2_ ()
int | inflateInit2_ ()
char * | zError ()
int | inflateSyncPoint ()
uLongf * | get_crc_table ()

## Define Documentation

#define deflateInit | ( | strm,
|  | level |  | ) | deflateInit_((strm), (level), ZLIB_VERSION, sizeof(z_stream))

#define deflateInit2 | ( | strm,
|  | level,
|  | method,
|  | windowBits,
|  | memLevel,
|  | strategy |  | ) |

| Value:
    deflateInit2_((strm),(level),(method),(windowBits),(memLevel),\
                          (strategy),           ZLIB_VERSION, sizeof(z_stream))

#define inflateInit | ( | strm |  | ) | inflateInit_((strm), ZLIB_VERSION, sizeof(z_stream))

#define inflateInit2 | ( | strm,
|  | windowBits |  | ) | inflateInit2_((strm), (windowBits), ZLIB_VERSION, sizeof(z_stream))

#define Z_ASCII 1

#define Z_BEST_COMPRESSION 9

#define Z_BEST_SPEED 1

#define Z_BINARY 0

#define Z_BUF_ERROR (-5)

#define Z_DATA_ERROR (-3)

#define Z_DEFAULT_COMPRESSION (-1)

#define Z_DEFAULT_STRATEGY 0

#define Z_DEFLATED 8

#define Z_ERRNO (-1)

#define Z_FILTERED 1

#define Z_FINISH 4

#define Z_FULL_FLUSH 3

#define Z_HUFFMAN_ONLY 2

#define Z_MEM_ERROR (-4)

#define Z_NEED_DICT 2

#define Z_NO_COMPRESSION 0

#define Z_NO_FLUSH 0

#define Z_NULL 0

#define Z_OK 0

#define Z_PARTIAL_FLUSH 1

#define Z_STREAM_END 1

#define Z_STREAM_ERROR (-2)

#define Z_SYNC_FLUSH 2

#define Z_UNKNOWN 2

#define Z_VERSION_ERROR (-6)

#define zlib_version zlibVersion()

#define ZLIB_VERSION "1.1.3"

## Typedef Documentation

typedef voidpf(* alloc_func)()

typedef void(* free_func)()

typedef voidp gzFile

typedef struct z_stream_s z_stream

typedef z_stream* z_streamp

## Function Documentation

uLong adler32 | ( |  | ) |

int compress | ( |  | ) |

int compress2 | ( |  | ) |

uLong crc32 | ( |  | ) |

int deflate | ( |  | ) |

int deflateCopy | ( |  | ) |

int deflateEnd | ( |  | ) |

int deflateInit2_ | ( |  | ) |

int deflateInit_ | ( |  | ) |

int deflateParams | ( |  | ) |

int deflateReset | ( |  | ) |

int deflateSetDictionary | ( |  | ) |

uLongf* get_crc_table | ( |  | ) |

int gzclose | ( |  | ) |

gzFile gzdopen | ( |  | ) |

int gzeof | ( |  | ) |

char* gzerror | ( |  | ) |

int gzflush | ( |  | ) |

int gzgetc | ( |  | ) |

char* gzgets | ( |  | ) |

gzFile gzopen | ( |  | ) |

int gzprintf | ( |  | ) |

int gzputc | ( |  | ) |

int gzputs | ( |  | ) |

int gzread | ( |  | ) |

int gzrewind | ( |  | ) |

long gzseek | ( |  | ) |

int gzsetparams | ( |  | ) |

long gztell | ( |  | ) |

int gzwrite | ( |  | ) |

int inflate | ( |  | ) |

int inflateEnd | ( |  | ) |

int inflateInit2_ | ( |  | ) |

int inflateInit_ | ( |  | ) |

int inflateReset | ( |  | ) |

int inflateSetDictionary | ( |  | ) |

int inflateSync | ( |  | ) |

int inflateSyncPoint | ( |  | ) |

int uncompress | ( |  | ) |

char* zError | ( |  | ) |

char* zlibVersion | ( |  | ) |